Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# Field::Table Class Reference

This is a collection of line- or boundary segments with start-Pose2D and length. More...

Collaboration diagram for Field::Table:

[legend]
List of all members.

## Public Member Functions
| Table ()
| ~Table ()
void | setSize (int size)
void | push (const Pose2D &p, double l)
## Public Attributes
Pose2D * | corner
| The field corners.
double * | length
| The lengths of the border segments starting at a corresponding corner.
int | maxNumberOfEntries
| The maximum number of corners in the table.
int | numberOfEntries
| The number of corners in the table.
## Private Member Functions
void | free ()

## Detailed Description

This is a collection of line- or boundary segments with start-Pose2D and length.

Definition at line 29 of file Field.h.

## Constructor & Destructor Documentation

Field::Table::Table | ( |  | ) | `[inline]`

| Definition at line 48 of file Field.h. References maxNumberOfEntries.

Field::Table::~Table | ( |  | ) | `[inline]`

| Definition at line 50 of file Field.h. References free().

Here is the call graph for this function:

## Member Function Documentation

void Field::Table::free | ( |  | ) | `[inline, private]`

| Definition at line 32 of file Field.h. References corner, length, and maxNumberOfEntries. Referenced by setSize(), and ~Table().

void Field::Table::setSize | ( | int | size | ) | `[inline]`

| Definition at line 52 of file Field.h. References corner, free(), length, maxNumberOfEntries, and numberOfEntries. Referenced by Field::initBorder(), Field::initBorderForHugeField(), Field::initBoundary(), Field::initBoundaryForHugeField(), Field::initLines(), Field::initOpponentGoal(), Field::initOwnGoal(), Field::initSimpleLines(), Field::initSimpleLinesForHugeField(), and Field::placePlayers().

Here is the call graph for this function:

void Field::Table::push | ( | const Pose2D & | p,
|  | double | l
| ) | `[inline]`

| Definition at line 67 of file Field.h. References corner, length, and numberOfEntries. Referenced by Field::addCoords().

## Member Data Documentation

Pose2D* Field::Table::corner

| The field corners. Definition at line 43 of file Field.h. Referenced by Field::draw(), free(), Field::getClosestPoint(), Field::getDistance(), Field::getDistanceToOwnPenaltyArea(), push(), and setSize().

double* Field::Table::length

| The lengths of the border segments starting at a corresponding corner. Definition at line 44 of file Field.h. Referenced by Field::draw(), free(), Field::getClosestPoint(), Field::getDistance(), Field::getDistanceToOwnPenaltyArea(), push(), and setSize().

int Field::Table::maxNumberOfEntries

| The maximum number of corners in the table. Definition at line 45 of file Field.h. Referenced by free(), Field::initBoundary(), Field::initOpponentGoal(), Field::initOwnGoal(), setSize(), and Table().

int Field::Table::numberOfEntries

| The number of corners in the table. Definition at line 45 of file Field.h. Referenced by Field::clip(), Field::draw(), Field::getClosestPoint(), Field::getDistance(), Field::isReallyInside(), push(), and setSize().

The documentation for this class was generated from the following file:

- Tools/Field.h